#  ***** BEGIN GPL LICENSE BLOCK *****
#
#   Copyright (C) 2021-2024 Robossembler LLC
#
#   Created by Ilia Kurochkin (brothermechanic)
#   contact:    brothermechanic@yandex.com
#
#   This file is part of Robossembler Framework
#   project repo:    https://gitlab.com/robossembler/framework
#
#   Robossembler Framework is free software;
#   you can redistribute it and/or modify
#   it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either version 3
#   of the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, see <https://www.gnu.org/licenses/>.
#
#  ***** END GPL LICENSE BLOCK *****
#
# coding: utf-8
'''
DESCRIPTION.
Computer Graphics Pipeline for Robossembler Framework.
Batch production of 3d assets from the database
of tessellated CAD objects (parts) and their assembling hierarchy.
'''

__title__ = 'Robossembler CG Pipeline'
__version__ = '1.0.0'
__author__ = 'Ilia Kurochkin'
__email__ = 'brothermechanic@yandex.com'
__copyright__ = 'Copyright (C) 2021-2024 Robossembler LLC'
__url__ = ['https://robossembler.org']
__license__ = 'GPL-3'
#__all__ = ['libs', 'render_asset', 'rcg_full_pipeline']

import logging

from . import libs
from . import render_asset

logger = logging.getLogger(__name__)
logging.basicConfig(level=logging.INFO)


def rcg_full_pipeline(project_dir):
    '''
    '''
    # 1 generate libs
    libs.generate_libs_database(project_dir)

    # 2 build render assets
    render_asset.build_render_assets(project_dir)

    return True
